########################################################################
## SERVER
########################################################################
server <- function(input, output, session) {
  source(file.path("server", "backup.r"), local = TRUE)$value
  source(file.path("server", "process_raw_data.r"), local = TRUE)$value
  source(file.path("server", "validate.r"), local = TRUE)$value
  source(file.path("server", "unique_values.r"), local = TRUE)$value
  source(file.path("server", "generate_tracks.r"), local = TRUE)$value
  source(file.path("server", "generate_transects.r"), local = TRUE)$value
  source(file.path("server", "transects.r"), local = TRUE)$value
  source(file.path("server", "generate_observations.r"), local = TRUE)$value
  source(file.path("server", "observations.r"), local = TRUE)$value
  source(file.path("server", "generate_nppsd_splits.r"), local = TRUE)$value
  source(file.path("server", "make_nppsd.r"), local = TRUE)$value
  source(file.path("server", "generate_nps_splits.r"), local = TRUE)$value
  source(file.path("server", "make_nps.r"), local = TRUE)$value
  source(file.path("server", "species_summary.r"), local = TRUE)$value
}

# vim: set ft=r fenc=utf-8 tw=80 ts=2 sw=2 sts=2:
